echo off
: *************
: *           *  The Major BBS (TM) Installation and Execution Utility
: *  BBS.BAT  *  Copyright (C) 1989 by Galacticomm, Inc.
: *           *  All Rights Reserved
: *************
: This batch file automatically installs the initial software, upgrade
: and update materials, and changes to the configuration files.  The
: proper procedure for installation, upgrade, and update is:
:
:    1.  Put the diskette "The Major BBS Disk One" into drive A:
:
:    2.  Make your BBS directory your default directory.
:
:    3.  Copy all files on the release diskette onto that directory.
:
:    4.  Type "BBS" and hit the Enter () key.
:
:    5.  If/when prompted, remove "Disk One", insert "Disk Two", and
:        then hit any key
:
: If the main BBS executables can be found, then this same batch file
: brings up the introductory menu of The Major BBS and vectors control
: to the various menu selections chosen from there.
:
: To fire up The Major BBS directly from DOS, without passing through
: the introductory menu, use the "GO" option... that is, type:
:
:    BBS GO
:
if exist MJRINTRO.EXE goto ck4upd
if not exist MAJORBBS.ARC goto whatsup
if not exist PKUNPAK.EXE goto whatsup
if not exist ASK.COM goto whatsup
cls
echo                               TM
echo                                  
echo                                 
echo 
echo Galacticomm, Inc.              Ŀ          Voice: (305) 583-5990
echo 4101 SW 47 Ave, Suite 101       VERSION 5.2           Modem: (305) 583-7808
echo Ft Lauderdale, FL  33314       ;          Fax:   (305) 583-7846
echo 
echo                    Congratulations for purchasing the most
echo                  powerful Bulletin Board System on the market!
echo 
echo                       It's time for    INSTALLATION!
echo 
echo 
echo If you answer "Y" to the following question, then installation will begin.  If
echo you have not already copied the diskette labelled "The Major BBS Disk Two" to
echo this subdirectory, then you will be asked to insert it into drive A:, and more
echo files will be copied.  Then, two files will be "unpacked", and some initial
echo file processing will take place.  This takes 2 to 10 minutes, depending on the
echo speed of your machine.
echo 
ask Do you want to install The Major BBS now?
if errorlevel 1 goto copytwo
echo The Major BBS is not installed.
echo Returning to DOS:
goto fin
 
:copytwo
if exist majorbb2.arc goto unpack
echo Insert diskette "The Major BBS Disk Two" in drive A:
pause
echo 
copy a:majorbb2.arc
goto copytwo
:unpack
echo 
echo Unpacking MAJORBBS.ARC . . .
pkunpak majorbbs
echo 
echo Unpacking MAJORBB2.ARC . . .
pkunpak majorbb2
del ask.com
msgidx
bbsetup
BBS %1 %2
 
:whatsup
echo 
echo      Here is how to install The Major BBS:             For example:
echo 
echo      1.  Put the floppy disk labelled "The Major
echo          BBS Disk One" into your floppy disk drive.
echo 
echo      2.  Create a directory on your hard disk and      MD \MAJORBBS
echo          make that directory the default directory.    CD \MAJORBBS
echo 
echo      3.  Copy all files from the release diskette      COPY A:*.*
echo          onto that directory.
echo 
echo      4.  Type "BBS" and press the Enter key.           BBS
echo 
echo     5.  When prompted, remove "Disk One", insert
echo         "Disk Two", and hit any key.
echo 
echo 
echo Returning to DOS:
goto fin
 
:ck4upd
if not exist ask.com goto run
cls
echo                               TM
echo                                  
echo                                 
echo 
echo Galacticomm, Inc.              Ŀ          Voice: (305) 583-5990
echo 4101 SW 47 Ave, Suite 101       VERSION 5.2           Modem: (305) 583-7808
echo Ft Lauderdale, FL  33314       ;          Fax:   (305) 583-7846
echo 
echo                    Congratulations for purchasing the most
echo                  powerful Bulletin Board System on the market!
echo 
echo                     It's time for    UPGRADE or UPDATE!
echo 
echo 
echo If you answer "Y" to the following question, then the new software that you
echo have just loaded will be installed.  Do not answer "Y" if you have not made a
echo backup of your entire system beforehand, just in case something goes wrong.
echo 
echo When the new software is installed, all of your existing data files will be
echo preserved, and your existing configuration files will be "merged" into their
echo new counterparts.  This takes 5 to 30 minutes, depending on the speed of your
echo machine.
echo 
ask Do you want to upgrade or update The Major BBS now?
if errorlevel 1 goto updtwo
echo The Major BBS has not been upgraded or updated.
echo Returning to DOS:
goto fin
 
:updtwo
echo Insert new diskette "The Major BBS Disk Two" in drive A:
pause
echo 
copy a:majorbb2.arc
echo 
echo Unpacking new files in MAJORBBS.ARC . . .
pkunpak -n majorbbs *.exe *.ins *.bat *.scn
md (newbbs)
pkunpak -r majorbbs (newbbs)\ *.dat
echo 
echo Unpacking new files in MAJORBB2.ARC . . .
pkunpak -n majorbb2 *.scn *.exe *.bat
pkunpak -r majorbb2 (newbbs)\ *.msg
echo 
if exist vesigs.dat goto normup
updatm (newbbs)\ * ttt
rembtr
btrieve /p:2048 /e
echo 
echo Converting old file formats to new file formats . . .
cvt51exe
rembtr
goto updone
:normup
updatm (newbbs)\ * ttt
:updone
del (newbbs)\*.msg
del (newbbs)\*.dat
rd (newbbs)
del ask.com
del *.ttt
 
:run
if "%1" == "NOBTRIEVE" goto menu
echo 
msgidx
if exist FIXUP.EXE   del FIXUP.EXE
if exist SIGSORT.EXE del SIGSORT.EXE
if exist LUTIL.EXE   del LUTIL.EXE
if exist MAJORBBS.EXP os286
echo 
echo Loading BTRIEVE...
REMBTR
BTRIEVE /p:2048 /b:4 /m:20 /f:25 /e
if "%1" == "GO" goto op6
if "%1" == "go" goto op6
echo 
MJRINTRO %1
goto errchk
:menu
MJRINTRO Q
:errchk
if errorlevel 10 goto fin
cls
echo 
if errorlevel 9 goto op9
if errorlevel 8 goto op8
if errorlevel 7 goto op7
if errorlevel 6 goto op6
if errorlevel 3 goto op3
if errorlevel 2 goto op2
if errorlevel 1 goto op1
rembtr
if exist MAJORBBS.EXP os286 remove
echo Type "BBS"(Enter) to return to The Major BBS...
goto fin
:op1
CONFIG -L1 %2
if errorlevel 1 goto waitmi
echo BBS NOBTRIEVE %2 >>CONFIDX.BAT
CONFIDX
:op2
CONFIG -L2 %2
if errorlevel 1 goto waitmi
echo BBS NOBTRIEVE %2 >>CONFIDX.BAT
CONFIDX
goto menu
:op3
CONFIG -L3 %2
if errorlevel 1 goto waitmi
echo BBS NOBTRIEVE %2 >>CONFIDX.BAT
CONFIDX
goto menu
:op6
if exist MAJORBBS.EXP     galup majorbbs.exp
if not exist MAJORBBS.EXP majorbbs
if errorlevel 100 goto menu
if errorlevel 99 goto halt
if errorlevel 14 goto msh4
if errorlevel 13 goto msh3
if errorlevel 12 goto msh2
if errorlevel 11 goto msh1
if errorlevel 8 goto menu
if errorlevel 2 goto waitmi
if errorlevel 1 goto menu
:................................................
:                                               :
:  CUSTOM AUTO-CLEANUP ACTIVITY SHOULD GO HERE  :
:...............................................:
goto op6
:msh1
:..................................................
:                                                 :
:  CUSTOM TIMED EVENT #1 ACTIVITY SHOULD GO HERE  :
:.................................................:
goto op6
:msh2
:..................................................
:                                                 :
:  CUSTOM TIMED EVENT #2 ACTIVITY SHOULD GO HERE  :
:.................................................:
goto op6
:msh3
:..................................................
:                                                 :
:  CUSTOM TIMED EVENT #3 ACTIVITY SHOULD GO HERE  :
:.................................................:
goto op6
:msh4
:..................................................
:                                                 :
:  CUSTOM TIMED EVENT #4 ACTIVITY SHOULD GO HERE  :
:.................................................:
goto op6
:op7
TYPUACC ?
if errorlevel 1 goto waitmi
pause
goto menu
:op8
TYPULBL ?
if errorlevel 1 goto waitmi
pause
goto menu
:op9
TYPAUDIT ?
if errorlevel 1 goto waitmi
pause
goto menu
:waitmi
echo Write down the error message that is blinking, then hit Ctrl-C to stop, or
pause
goto menu
:halt
echo 
echo This is a fatal protected-mode error.
echo Write down these numbers, or do a PRINT-SCREEN, and forward the
echo results, together with your MAJORBBS.XMP file, to the software
echo vendor you think may be able to help.  Then REBOOT YOUR MACHINE.
:fin
